ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.SysTools.Ar

# Documentation

data ArchiveEntry Source #

Constructors

ArchiveEntry |

Fields

- filename :: String

  File name.

- filetime :: Int

  File modification time.

- fileown :: Int

  File owner.

- filegrp :: Int

  File group.

- filemode :: Int

  File mode.

- filesize :: Int

  File size.

- filedata :: ByteString

  File bytes.

#### Instances

Instances details

Show ArchiveEntry Source # |
Instance details Defined in GHC.SysTools.Ar Methods showsPrec :: Int -> ArchiveEntry -> ShowS Source # show :: ArchiveEntry -> String Source # showList :: [ArchiveEntry] -> ShowS Source #
Eq ArchiveEntry Source # |
Instance details Defined in GHC.SysTools.Ar Methods (==) :: ArchiveEntry -> ArchiveEntry -> Bool # (/=) :: ArchiveEntry -> ArchiveEntry -> Bool #

newtype Archive Source #

Constructors

Archive [ArchiveEntry] |

#### Instances

Instances details

Monoid Archive Source # |
Instance details Defined in GHC.SysTools.Ar Methods mempty :: Archive Source # mappend :: Archive -> Archive -> Archive Source # mconcat :: [Archive] -> Archive Source #
Semigroup Archive Source # |
Instance details Defined in GHC.SysTools.Ar Methods (<>) :: Archive -> Archive -> Archive Source # sconcat :: NonEmpty Archive -> Archive Source # stimes :: Integral b => b -> Archive -> Archive Source #
Show Archive Source # |
Instance details Defined in GHC.SysTools.Ar Methods showsPrec :: Int -> Archive -> ShowS Source # show :: Archive -> String Source # showList :: [Archive] -> ShowS Source #
Eq Archive Source # |
Instance details Defined in GHC.SysTools.Ar Methods (==) :: Archive -> Archive -> Bool # (/=) :: Archive -> Archive -> Bool #

afilter :: (ArchiveEntry -> Bool) -> Archive -> Archive Source #

parseAr :: ByteString -> Archive Source #

loadAr :: FilePath -> IO Archive Source #

loadObj :: FilePath -> IO ArchiveEntry Source #

writeBSDAr :: FilePath -> Archive -> IO () Source #

writeGNUAr :: FilePath -> Archive -> IO () Source #

isBSDSymdef :: ArchiveEntry -> Bool Source #

isGNUSymdef :: ArchiveEntry -> Bool Source #